gnutls_srtp_set_mki(3)

NAME
gnutls_srtp_set_mki - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_srtp_set_mki(gnutls_session_t session, const gnutls_datum_t * mki);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

const gnutls_datum_t * mki
    holds the MKI

DESCRIPTION
This function sets the Master Key Identifier, to be used by this session (if any).

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned. Since 3.1.4

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/